<?php

use Illuminate\Database\Migrations\Migration;

class CreateUsersTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: users
         */
        Schema::create('users', function ($table) {
            $table->increments('id');
            $table->integer('primary_group')->nullable();
            $table->rememberToken('remember_token')->nullable();
            $table->string('character_name', 50)->nullable();
            $table->timestamp('joined_horde')->nullable();
            $table->timestamp('started_playing')->nullable();
            $table->string('corporation_name', 50)->nullable();
            $table->integer('corporation_id')->nullable();
            $table->string('alliance_name', 50)->nullable();
            $table->integer('alliance_id')->nullable();
            $table->string('slug', 100)->nullable();
            $table->integer('user_id')->nullable();
            $table->string('upload_folder', 100)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('users');
    }
}
