<?php

namespace Package\Package\Models;

use Illuminate\Database\Eloquent\SoftDeletes;
use Lavalite\Filer\FilerTrait;

class User extends Model
{
    use FilerTrait, SoftDeletes;

    protected $dates = ['deleted_at'];

    /**
     * Initialiaze page modal.
     *
     * @param $name
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Initialize the modal variables.
     *
     * @return void
     */
    public function initialize()
    {
        $this->fillable = config('package.user.fillable');
        $this->uploads = config('package.user.uploadable');
        $this->uploadRootFolder = config('package.user.upload_root_folder');
        $this->table = config('package.user.table');
    }
}
